---
lang: en
title: 'API docs: rest.httphandler.registerapidefinitions'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.httphandler.registerapidefinitions.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [HttpHandler](./rest.httphandler.md) &gt; [registerApiDefinitions](./rest.httphandler.registerapidefinitions.md)

## HttpHandler.registerApiDefinitions() method

> Warning: This API is now obsolete.
> 
> Use `registerApiComponents`
> 

**Signature:**

```typescript
registerApiDefinitions(defs: SchemasObject): void;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

defs


</td><td>

SchemasObject


</td><td>

Schemas


</td></tr>
</tbody></table>
**Returns:**

void


